/*
 * Copyright (C) 2003  Diez B. Roggisch [deets@web.de]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: ConstantFilter.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.contrib.dbroggisch.display.filters;

import org.barracudamvc.contrib.dbroggisch.display.filters.dtd.Constant;

public class ConstantFilter implements Filter {

        private Object constant;

        public ConstantFilter(Object c) {
                constant = c;
        }

        public ConstantFilter() {
                this(null);
        }

        /**
     *
     * @param obj will be ignored
     * @return the Object specified in the constructor
     */
        public Object filter(Object obj, FilterContext context)
                throws FilterException
        {
                return constant;
        }


        public Filter configure(Object obj)
                throws FilterException
        {
                Constant con = (Constant)obj;
                constant = con.getValue();
                return this;
        }
}
