/*
 * Copyright (C) 2003  Diez B. Roggisch [deets@web.de]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: NavigationBarHandler.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.contrib.dbroggisch.examples.controller.handlers;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.ServletException;
import org.barracudamvc.core.comp.BLink;
import org.barracudamvc.core.event.ControlEventContext;
import org.barracudamvc.core.event.EventException;
import org.barracudamvc.contrib.dbroggisch.page.Page;
import org.barracudamvc.contrib.dbroggisch.page.PageEventListener;

import org.barracudamvc.contrib.dbroggisch.examples.controller.events.*;
import org.barracudamvc.contrib.dbroggisch.examples.view.pages.*;


public class NavigationBarHandler extends PageEventListener {

    public void handleControlEvent(ControlEventContext context, Page p)
            throws EventException, ServletException, IOException {
        ExampleBasePage basePage = (ExampleBasePage)p;
        List menupoints = new ArrayList(3);
        BLink bl = null;
        ExampleBasePage.State state = basePage.getState();

        if (state == ExampleBasePage.REPOPULATION) {
            bl = new BLink("*Repopulation", new Repopulation());
            menupoints.add(bl);
            bl = new BLink("FileUpload", new FileUpload());
            menupoints.add(bl);
            bl = new BLink("PrefixMapping", new PrefixMapping());
            menupoints.add(bl);

        }
        if (state == ExampleBasePage.PREFIXMAPPING) {
            bl = new BLink("Repopulation", new Repopulation());
            menupoints.add(bl);
            bl = new BLink("FileUpload", new FileUpload());
            menupoints.add(bl);
            bl = new BLink("*PrefixMapping", new PrefixMapping());
            menupoints.add(bl);

        }
        if (state == ExampleBasePage.FILEUPLOAD) {
            bl = new BLink("Repopulation", new Repopulation());
            menupoints.add(bl);
            bl = new BLink("*FileUpload", new FileUpload());
            menupoints.add(bl);
            bl = new BLink("PrefixMapping", new PrefixMapping());
            menupoints.add(bl);

        }
        basePage.setMenuPoints(menupoints);
    }

}
