/*
 * Copyright (C) 2003  Stefan Armbruster [stefan@armbruster-it.de]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: DataObjectException.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.contrib.sam.data;

/** general exception class for all issues dealing with DataObjects
*/
public class DataObjectException extends Exception
{

    public static String DEFAULT_MESSAGE = null;

    public DataObjectException()
    {
        super();
    }

    /* commented out due to a incompability to JDK 1.3 */
    /*public DataObjectException(Throwable t)
    {
        super(t);
    }*/

    public DataObjectException(String s)
    {
        super(s);
    }

    /* commented out due to a incompability to JDK 1.3 */
    /*public DataObjectException(String s, Throwable t)
    {
        super(s,t);
    }*/

    /** if the constructor was called with a non-null message, the default message is returned,
    * otherwise the constructor's message.*/
    public String getMessage() {
        String s = super.getMessage();
        if (s==null) {
            s = getDefaultMessage();
        }
        return s;
    }

    protected String getDefaultMessage() {
        return DEFAULT_MESSAGE;
    }
}

