/*
 * Copyright (C) 2003  Stefan Armbruster [stefan@armbruster-it.de]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: DataObjectViewHandler.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.contrib.sam.data;

import org.apache.log4j.Logger;
import org.barracudamvc.contrib.sam.xmlform.XmlFormMap;
import org.barracudamvc.contrib.sam.xmlform.XmlFormViewHandler;
import org.barracudamvc.core.comp.ViewContext;

public abstract class DataObjectViewHandler extends XmlFormViewHandler implements GetConfig {

    protected static Logger logger = Logger.getLogger(DataObjectViewHandler.class.getName());

    public abstract Config getConfig();
    protected Config config;

    /** set the formmap following the definitions in Config */
    public XmlFormMap getXmlForm(ViewContext vc) {
        config = getConfig();
        XmlFormMap xfm = (XmlFormMap) vc.getEventContext().getState(config.getMapName());
        if (xfm==null) logger.error("no formmap found");
        return xfm;
    }
}
